Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface SNMPStringMonitorMBean

public interface SNMPStringMonitorMBean
extends SNMPJMXMonitorMBean

This class describes the criteria for a String-based Monitor. A trap is generated when this criteria is satisfied.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.SNMPJMXMonitorMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.SNMPTrapSourceMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getStringToCompare()` Defines a string to be compared to the value of the Monitored Attribute Name.
`boolean` | `isNotifyDiffer()` Defines that the criteria used to generate a trap is that the value of Monitored Attribute Name and the value of String to Compare do not match.
`boolean` | `isNotifyMatch()` Defines that the criteria used to generate a trap is that the value of Monitored Attribute Name and the value of String to Compare match.
`void` | `setNotifyDiffer(boolean flag)`
`void` | `setNotifyMatch(boolean flag)`
`void` | `setStringToCompare(java.lang.String stringtocompare)`

Methods inherited from interface weblogic.management.configuration.SNMPJMXMonitorMBean
`getMonitoredAttributeName, getMonitoredMBeanName, getMonitoredMBeanType, getPollingInterval, setMonitoredAttributeName, setMonitoredMBeanName, setMonitoredMBeanType, setPollingInterval`

Methods inherited from interface weblogic.management.configuration.SNMPTrapSourceMBean
`addEnabledServer, getEnabledServers, removeEnabledServer, setEnabledServers`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getStringToCompare

    public java.lang.String getStringToCompare()

  Defines a string to be compared to the value of the Monitored Attribute Name. A trap is generated when the critiera specified by Notify Match or Notify Differ is satisfied.

  Legal Value: (value != null) && (value.trim().length() > 0)

### setStringToCompare

    public void setStringToCompare(java.lang.String stringtocompare)
                            throws javax.management.InvalidAttributeValueException,
                                   ConfigurationException

### isNotifyDiffer

    public boolean isNotifyDiffer()

  Defines that the criteria used to generate a trap is that the value of Monitored Attribute Name and the value of String to Compare do not match.

  Default Value: false

### setNotifyDiffer

    public void setNotifyDiffer(boolean flag)

### isNotifyMatch

    public boolean isNotifyMatch()

  Defines that the criteria used to generate a trap is that the value of Monitored Attribute Name and the value of String to Compare match.

  Default Value: false

### setNotifyMatch

    public void setNotifyMatch(boolean flag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference